<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="vm"
            type="com.appetiser.baseplate.features.feed.details.FeedDetailsViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fitsSystemWindows="true">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbarView"
            android:layout_width="match_parent"
            android:layout_height="?android:attr/actionBarSize"
            android:background="@color/white"
            android:contentInsetStart="0dp"
            android:contentInsetLeft="0dp"
            android:elevation="0dp"
            android:minHeight="?android:attr/actionBarSize"
            app:contentInsetLeft="0dp"
            app:contentInsetStart="0dp"
            app:contentInsetStartWithNavigation="0dp"
            app:layout_collapseMode="pin"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_scrollFlags="scroll|enterAlways">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/toolbar_container"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <de.hdodenhof.circleimageview.CircleImageView
                    android:id="@+id/avatar"
                    android:layout_width="45dp"
                    android:layout_height="45dp"
                    android:layout_marginStart="16dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:setVisible="@{!vm.loadingVisibility}" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/name"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="8dp"
                    android:layout_marginEnd="8dp"
                    android:fontFamily="@font/inter_semibold"
                    android:maxLines="1"
                    android:textColor="@color/black"
                    android:textSize="17sp"
                    app:layout_constraintEnd_toStartOf="@+id/options"
                    app:layout_constraintStart_toEndOf="@+id/avatar"
                    app:layout_constraintTop_toTopOf="@+id/avatar"
                    app:setVisible="@{!vm.loadingVisibility}"
                    tools:text="Amy L" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/time"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/inter_regular"
                    android:textColor="@color/black_60"
                    android:textSize="12sp"
                    app:layout_constraintBottom_toBottomOf="@+id/avatar"
                    app:layout_constraintStart_toStartOf="@+id/name"
                    app:layout_constraintTop_toBottomOf="@+id/name"
                    app:setVisible="@{!vm.loadingVisibility}"
                    tools:text="10min ago" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/options"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="8dp"
                    android:padding="8dp"
                    app:layout_constraintBottom_toBottomOf="@+id/avatar"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="@+id/avatar"
                    app:setVisible="@{!vm.loadingVisibility}"
                    app:srcCompat="@drawable/ic_options" />

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.appcompat.widget.Toolbar>

        <androidx.core.widget.NestedScrollView
            android:id="@+id/nestedScrollView"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:overScrollMode="never"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/toolbarView"
            app:setHidden="@{vm.loadingVisibility}">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <FrameLayout
                    android:id="@+id/appBarLayout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    android:background="@color/white"
                    android:fitsSystemWindows="true"
                    android:orientation="vertical"
                    android:paddingBottom="8dp">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@color/white"
                        app:setVisible="@{!vm.loadingVisibility}">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/message"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="16dp"
                            android:layout_marginTop="16dp"
                            android:layout_marginEnd="16dp"
                            android:fontFamily="@font/inter_regular"
                            android:textColor="@color/black"
                            android:textSize="17sp"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            tools:text="But I must explain to you how all this mistaken idea of denouncing pleasure and." />

                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/image"
                            android:layout_width="match_parent"
                            android:layout_height="375dp"
                            android:layout_marginTop="20dp"
                            android:adjustViewBounds="false"
                            android:scaleType="centerCrop"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/message"
                            tools:src="@tools:sample/backgrounds/scenic" />

                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/heart"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="8dp"
                            android:layout_marginTop="4dp"
                            android:padding="8dp"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/image"
                            app:srcCompat="@drawable/ic_heart_unselected" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/heart_count"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="4dp"
                            android:fontFamily="@font/inter_regular"
                            android:textColor="@color/black"
                            android:textSize="15sp"
                            app:layout_constraintBottom_toBottomOf="@+id/heart"
                            app:layout_constraintStart_toEndOf="@+id/heart"
                            app:layout_constraintTop_toTopOf="@+id/heart"
                            tools:text="578" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/comment_count"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="16dp"
                            android:fontFamily="@font/inter_regular"
                            android:textColor="@color/black_30"
                            android:textSize="15sp"
                            app:layout_constraintBottom_toBottomOf="@+id/heart"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="@+id/heart"
                            tools:text="32 comments" />

                    </androidx.constraintlayout.widget.ConstraintLayout>
                </FrameLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/comment_list"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:nestedScrollingEnabled="false"
                        android:overScrollMode="never"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/commentContainer"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="bottom"
                        android:layout_marginStart="16dp"
                        android:layout_marginTop="16dp"
                        android:layout_marginEnd="16dp"
                        android:layout_marginBottom="16dp"
                        android:visibility="gone"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/comment_list"
                        app:setVisible="@{!vm.loadingVisibility}"
                        tools:visibility="visible">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/etComment"
                            style="@style/BaseEditText"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:background="@drawable/background_curve_solitude_20"
                            android:fontFamily="@font/inter_regular"
                            android:hint="@string/say_something"
                            android:imeOptions="actionSend"
                            android:maxLines="1"
                            android:paddingStart="12dp"
                            android:paddingEnd="55dp"
                            android:singleLine="true"
                            android:textColor="@color/black"
                            android:textColorHint="@color/light_slate_gray"
                            android:textSize="17sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            tools:text="@tools:sample/lorem/random" />

                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/ivSend"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="12dp"
                            android:scaleX="0"
                            android:scaleY="0"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="@+id/etComment"
                            app:layout_constraintTop_toTopOf="parent"
                            app:srcCompat="@drawable/ic_button_send" />

                    </androidx.constraintlayout.widget.ConstraintLayout>
                </androidx.constraintlayout.widget.ConstraintLayout>
            </androidx.appcompat.widget.LinearLayoutCompat>
        </androidx.core.widget.NestedScrollView>

        <com.facebook.shimmer.ShimmerFrameLayout
            android:id="@+id/shimmerFrameLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:loadingState="@{vm.loadingVisibility}"
            tools:visibility="gone">

            <include
                layout="@layout/include_feed_loading"
                android:background="@color/white" />

        </com.facebook.shimmer.ShimmerFrameLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>